I am able to start Apache with mod_perl & php3 modules loaded ok. However if I attempt to load PHP4 as well the mod_perl routines abort and cause seg. faults.

PHP3 & PHP4 work fine together, PHP4 has support for mysql & pdf built in.